#include <iostream>
#include <math.h>
using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int t,i;//t i i pomocna promenljiva
    long long n,m,k;//n,m i k
    long long f,c,x,y;
    /*
    f*x+c*y=n
    x+y=k
    sistem preko koga dobijamo najoptimalnije resenje podele krem banancica medju decom
    x i y predstavljaju broj grupa sa istom podelom krem bananica
    time sto resimo ovaj sistem odnosno najoptimalnije resenje
    svako m koje je vece od njega je resenja
    */
    cin>>t;
    for(i=0;i<t;i++){
        cin>>n>>m>>k;
        f=(long long)floor((double)n/(double)k);//manji broj u grupi
        c=(long long)ceil((double)n/(double)k);//veci broj u grupi, razlika ova dva broja je uvek 1 ili 0
        if(f==c){//ako je razlika f i c nula odnosno ako su oni jednaki formula ne radi pa se ovo izdvaja kao poseban slucaj
            if(m>=k*((n/k)*(n/k+1)/2))//ako je broj k pomnozen sa zbrom uzastopnih f ili c dobiijamo resenje i ako je ono manje od n moze se ici na eksskurziju u suprotnom ne
                cout<<"Tak"<<'\n';
            else
                cout<<"Nie"<<'\n';

        }//normalan slucaj odnosno kada dati sistem ima resenja
        else{
            y=((n-f*k)/(c-f));
            x=((n-c*k)/(f-c));
            if((x*(f*(f+1)/2)+y*(c*(c+1)/2))<=m)//ako je resenje sistema manje od m onda se moze krenuti ako, u drugom slucaju ne
                cout<<"Tak"<<'\n';
            else
                cout<<"Nie"<<'\n';
        }
    }
    return 0;
}